package com.bkids.androidgames.mrnom;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

import com.bkids.framework.FileIO;

public class Settings {

	
	public static boolean soundEnabled = true;
	public static int[] highscores = new int[]{100, 80,50, 30, 10};
	
	public static void load(FileIO fileIO){
		BufferedReader in = null;
		try {
			
			in = new BufferedReader(new InputStreamReader(fileIO.readFile(".mrnom")));
			
			soundEnabled = Boolean.parseBoolean(in.readLine());
			
			for(int i=0;i<5;i++){
				highscores[i] = Integer.parseInt(in.readLine());
			}
			
		} catch (IOException e) {
			// It's ok we have defaults
		}catch (NumberFormatException e){
			// use defaults
		}finally{
			try{
				if(in !=null)
					in.close();
			}catch(IOException e){
				
			}
		}
	}
	
	public static void save(FileIO fileIO){
		BufferedWriter out = null;
		try{
			out = new BufferedWriter(new OutputStreamWriter(fileIO.writeFile(".mrnom")));
			StringBuilder stringB = new StringBuilder();
			stringB.append(Boolean.toString(soundEnabled));
			stringB.append('\n');
			for(int i=0; i<5; i++){
				stringB.append(Integer.toString(highscores[i]));
				stringB.append('\n');
			}
			out.write(stringB.toString());
			
		}catch (IOException e) {
			// it's ok... we can live with default values.
		}finally{
			if(out !=null){
				try {
					out.close();
				} catch (IOException e) {
					
				}
			}
		}
		
	}
	
	public static void addScore(int score){
		for(int i=0; i < 5; i++){
			// if new score higher, then push all others down, then add it.
			if(score > highscores[i]){
				for(int j=4; j>i; j--){
					highscores[j] = highscores[j-1];
					
				}
				highscores[i] = score;
				break;
			}
		}
	}
	
	
}
