package com.bkids.framework.impl;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;

public class AccelerometerHandler implements SensorEventListener {

	float accelX;
	float accelY;
	float accelZ;
	
	
	public AccelerometerHandler(Context context){
		SensorManager manager = (SensorManager)context.getSystemService(Context.SENSOR_SERVICE);
		if(manager.getSensorList(Sensor.TYPE_ACCELEROMETER).size()!=0){
			Sensor accelerometer = manager.getSensorList(Sensor.TYPE_ACCELEROMETER).get(0);
			manager.registerListener(this, accelerometer, SensorManager.SENSOR_DELAY_GAME);
		}
	}
	
	
	public void onAccuracyChanged(Sensor arg0, int arg1) {
		// nothing to do here.

	}

	public void onSensorChanged(SensorEvent event) {
		accelX = event.values[0];
		accelY = event.values[1];
		accelZ = event.values[2];

	}


	public float getAccelX() {
		return accelX;
	}


	public void setAccelX(float accelX) {
		this.accelX = accelX;
	}


	public float getAccelY() {
		return accelY;
	}


	public void setAccelY(float accelY) {
		this.accelY = accelY;
	}


	public float getAccelZ() {
		return accelZ;
	}


	public void setAccelZ(float accelZ) {
		this.accelZ = accelZ;
	}

}
